欢迎光临
我们一直在努力

关于WEB应用时服务器安装MySQL版本的注意事项-

蜗牛最近很忙,前几天应该记录一些更新的信息和解决方案。一是每天看到更新,二是知识的积累。比如前几天解决了一个网友。WEB服务器中安装MYSQL数据库问题。原因是他正在购买新的服务器并安装它WEB原网站需要在环境之后搬迁。

但是在搬迁过程中出现问题,蜗牛帮助在服务器中看到他居然是安装的MYSQL8.0版,我看到他原来服务器中老网站的数据库是5.5版(好像是我之前帮他安装的)。一定是数据库不兼容造成的,但只要数据中的字符被替换,使用肯定是可以的。但我觉得他没有必要直接安装这样的版本。

我们有时会安装它WEB也建议安装服务器的基本配置,如安装环境LNMP一键包可以看到LNMP如果需要安装脚本MySQL5.6 ,建议是\\”安装MySQL 5.6或5.7及MariaDB 10必须1G以上内存,至少2个更高的版本G内存\\”。我看到它的服务器配置是1GB内存,所以我建议他会MYSQL降低到5.5.因此,基于本文,蜗牛的个人观点是,虽然高版本的数据库有一定的优势,但也需要看到实际需求和服务器配置。

例如,我们正在使用2GB蜗牛建议安装内存左右的服务器。MYSQL5.5版就够了,如果是4GB内存及以上我一般是安装MYSQL5.7版本的。

例如,我们正在使用2GB蜗牛建议安装内存左右的服务器。MYSQL5.5版就够了,如果是4GB我通常安装内存或以上内存。MYSQL5.7版。同样,如果需要安装,则需要安装PHP有很多版本的建议CMS要求7.0 ,但建议与缓存一起使用,因此配置一般需要2GB内存以上。

同样,如果我们需要安装它CENTOS8.根据官方建议,需要4GB内存以上。这篇文章有点冗长,主要是基于几天前遇到的问题。同时,蜗牛需要提醒我们,在备份网站数据库时,建议多备份几个版本。我以前见过网友PHPMYADMIN导出的数据库不完整,最后倒入是错误的。

cn2 gia

赞(0)
版权声明:本文采用知识共享 署名4.0国际许可协议 [BY-NC-SA] 进行授权
文章名称:《关于WEB应用时服务器安装MySQL版本的注意事项-》
文章链接:https://www.ihxvps.com/2759.html
本站资源仅供个人学习交流,请于下载后24小时内删除,不允许用于商业用途,否则法律问题自行承担。